Package csb :: Package bio :: Package fragments :: Class ResidueAssignmentInfo

[frames] | no frames]

# Class ResidueAssignmentInfo

source code

    object --+
             |
            ResidueAssignmentInfo

Instance Methods

__init__(self, assignment, rank) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| c_alpha
| fragment
Inherited from `object`: `__class__`

Method Details

### __init__(self, assignment, rank)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### c_alpha

Get Method:
  unreachable.c_alpha(self)

### fragment

Get Method:
  unreachable.fragment(self)